Inventory Count Line
The inventory count line resource.
Basehttps://rest.carbon.ms/inventoryCountLine
GET
/inventoryCountLineList inventory count lines
Retrieve a paginated list of inventory count lines. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/inventoryCountLine
curl --request GET \
--url 'https://rest.carbon.ms/inventoryCountLine?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"companyId": "xyz789",
"inventoryCountId": "xyz789",
"itemId": "xyz789",
"systemQuantity": 10,
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"locationId": "xyz789"
}
]GET
/inventoryCountLineRetrieve a inventory count line
Fetch a single inventory count line by filtering on `id`.
Query parameters
idstringMatch on the inventory count line's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/inventoryCountLine
curl --request GET \
--url 'https://rest.carbon.ms/inventoryCountLine?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"inventoryCountId": "xyz789",
"itemId": "xyz789",
"systemQuantity": 10,
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"locationId": "xyz789"
}POST
/inventoryCountLineCreate a inventory count line
Create a new inventory count line.
Body parameters
inventoryCountIdstringrequireditemIdstringrequiredReferences item.id
locationIdstringstorageUnitIdstringtrackedEntityIdstringreadableIdstringsystemQuantitynumberrequiredcountedQuantitynumbervariancenumbercountedBystringReferences user.id
countedAttimestamppostedItemLedgerIdstringcustomFieldsobjectPOSThttps://rest.carbon.ms/inventoryCountLine
curl --request POST \
--url https://rest.carbon.ms/inventoryCountLine \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"inventoryCountId":"xyz789","itemId":"xyz789","systemQuantity":10}'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"inventoryCountId": "xyz789",
"itemId": "xyz789",
"systemQuantity": 10,
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"locationId": "xyz789"
}PATCH
/inventoryCountLineUpdate a inventory count line
Update an existing inventory count line, matched on `id`.
Body parameters
inventoryCountIdstringrequireditemIdstringrequiredReferences item.id
locationIdstringstorageUnitIdstringtrackedEntityIdstringreadableIdstringsystemQuantitynumberrequiredcountedQuantitynumbervariancenumbercountedBystringReferences user.id
countedAttimestamppostedItemLedgerIdstringcustomFieldsobjectPATCHhttps://rest.carbon.ms/inventoryCountLine
curl --request PATCH \
--url 'https://rest.carbon.ms/inventoryCountLine?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"inventoryCountId":"xyz789"}'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"inventoryCountId": "xyz789",
"itemId": "xyz789",
"systemQuantity": 10,
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"locationId": "xyz789"
}DELETE
/inventoryCountLineDelete a inventory count line
Delete a inventory count line, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the inventory count line to delete, e.g. `eq.{id}`.
DELETEhttps://rest.carbon.ms/inventoryCountLine
curl --request DELETE \
--url 'https://rest.carbon.ms/inventoryCountLine?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content